API 文档

浏览文档并开始使用 Skinify

Skin information

The method returns information about a specific skin by its identifier. It is recommended to call this method right before making a purchase to ensure that the skin is still available and has not been purchased by another user.

HTTP Request

GET https://skinify.io/api/withdraw/price

GET parameters

Parameter Required Description
id check Skin identifier
extended If extended=1 is specified, the skin will include additional properties in the properties object (see the Properties fields section below).
include_hold If include_hold=1 is specified, the skin will be found even if it is in trade hold. Such item can be reserved — it will be sent after the hold period ends. An item with a trade hold will have a property properties.unhold_at — a timestamp (Unix timestamp) indicating when the item will leave the trade hold and become available for withdrawal.

Response

The response will contain a skin object with the following data:

Parameter Description
name Skin Name
price The price of the skin (in USD)
count Available count for withdraw
properties Skin properties from the Steam inventory. The field always contains classid and may also contain additional fields depending on the request parameters

properties Fields

Parameter Description
classid Steam class ID of the item
provider_id
new
External provider item identifier. Returned only for items provided by an external provider

When passing include_hold, the following parameters are added to properties:

Parameter Description
unhold_at Unix timestamp indicating when the item will leave the trade hold and become available for withdrawal. Returned only for items in hold

When passing extended, the following parameters are added to properties:

Parameter Description
assetid Steam asset ID of the item
instanceid Steam instance ID of the item
steamid Steam ID of the bot holding the item
link Inspect link of the item in Steam
floatvalue Wear value (float), null if unavailable
paintindex Paint index of the skin, null if unavailable
paintseed Pattern seed of the skin, null if unavailable
stickers Array of stickers applied to the item. Empty array if none
charms Array of charms applied to the item. Empty array if none
extra Additional item properties. Empty object if none
created_date Unix timestamp of when the item was added. Returned only if available

Response examples

{
  "status": "success",
  "skin": 
    {
      "name": "FAMAS | Survivor Z (Minimal Wear)",
      "price": 0.21,
      "properties": {
        "classid": "4720929234"
      },
      "count": 1
    }
}

When passing extended=1&include_hold=1

{
  "status": "success",
  "skin": 
    {
      "id": "120633506",
      "name": "M4A1-S | Knight (Factory New)",
      "price": 4274.73,
      "properties": {
        "classid": "7993043696",
        "provider_id": 5,
        "unhold_at": "1777705200",
        "assetid": "48299637973",
        "instanceid": "6292165507",
        "steamid": "76561199826699212",
        "link": "inspectLink",
        "floatvalue": 0.04187001660466194,
        "paintindex": "326",
        "paintseed": "127",
        "stickers": [
          {
            "name": "Virtus.Pro (Holo) | MLG Columbus 2016",
            "img": "image url"
          },
          {
            "name": "pashaBiceps (Foil) | MLG Columbus 2016",
            "img": "image url"
          }
        ],
        "charms": [],
        "extra": {
          "type": "Rifle",
          "quality": "Normal",
          "weapon": "M4A1-S",
          "rarity": "Classified",
          "exterior": "Factory New",
          "market_name": "M4A1-S | Knight"
        },
        "created_date": "1777112018"
      }
    }
}

Possible Errors

Error Description
skin_not_found The skin with the specified ID was not found.